CVE-2000-0498
CVSS5.0
发布时间 :2000-06-08 00:00:00
修订时间 :2008-09-10 15:04:49
NMCO    

[原文]Unify eWave ServletExec allows a remote attacker to view source code of a JSP program by requesting a URL which provides the JSP extension in upper case.


[CNNVD]多个供应商JSP源代码泄露漏洞(CNNVD-200006-036)

        Unify eWave ServletExec存在漏洞。远程攻击者通过请求提供大写扩展名的URL可以查看JSP程序的源代码。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0498
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0498
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200006-036
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/4649.php
(VENDOR_ADVISORY)  XF  ewave-servletexec-jsp-source-read(4649)
http://archives.neohapsis.com/archives/ntbugtraq/2000-q2/0250.html
(VENDOR_ADVISORY)  NTBUGTRAQ  20000608 Potential vulnerability in Unify eWave ServletExec
http://www.securityfocus.com/bid/1328
(UNKNOWN)  BID  1328

- 漏洞信息

多个供应商JSP源代码泄露漏洞
中危 设计错误
2000-06-08 00:00:00 2005-07-27 00:00:00
远程※本地  
        Unify eWave ServletExec存在漏洞。远程攻击者通过请求提供大写扩展名的URL可以查看JSP程序的源代码。

- 公告与补丁

        Unify has released eWave ServletExec version 3.0c which is not vulnerable to this issue.
        BEA Systems Weblogic: A vendor supplied patch for version 3.1.8 is available at : ftp://ftpna.beasys.com/pub/releases/318/caseSensitiveNTFix318.zip
        IBM WebSphere Application Server: IBM has released a fix which will eliminate this exploit and is available at :
        http://www6.software.ibm.com/dl/websphere8/wscorsvc-p

- 漏洞信息

7311
Unify eWave ServletExec Upper Case Request JSP Source Disclosure
Information Disclosure
Loss of Confidentiality Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2000-06-08 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.0C or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站